{
  "name": "vite-vue3-ts-pinia",
  "private": true,
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --host",
    "build": "vite build",
    "preview": "vite preview",
    "eslint:comment": "使用 ESLint 检查并自动修复 src 目录下所有扩展名为 .js 和 .vue 的文件",
    "eslint": "eslint --ext .js,.vue --ignore-path .gitignore --fix src",
    "prettier:comment": "自动格式化当前目录下的所有文件",
    "prettier": "prettier --write",
    "commit:comment": "引导设置规范化的提交信息",
    "commit": "git-cz"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/cz-customizable"
    }
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.3.1",
    "@liveqing/liveplayer-v3": "^3.7.30",
    "@vueuse/core": "^10.10.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^0.27.2",
    "copy-webpack-plugin": "^4.6.0",
    "echarts": "^5.5.0",
    "element-china-area-data": "^6.1.0",
    "element-plus": "^2.2.17",
    "file-saver": "^2.0.5",
    "js-cookie": "^3.0.5",
    "longze-vue3-video-player": "^1.1.7",
    "mitt": "^3.0.1",
    "moment": "^2.30.1",
    "nprogress": "^0.2.0",
    "pinia": "^2.0.22",
    "pinia-plugin-persist": "^1.0.0",
    "qrcode": "^1.5.4",
    "vue": "^3.2.37",
    "vue-baidu-map-3x": "^1.0.38",
    "vue-chartjs": "^5.3.0",
    "vue-draggable-plus": "^0.5.2",
    "vue-router": "^4.1.5",
    "vue-use": "^0.2.0",
    "vue3-baidu-map": "^1.0.0",
    "vue3-json-viewer": "^2.2.2",
    "vue3-print-nb": "^0.1.4"
  },
  "devDependencies": {
    "@commitlint/cli": "^17.1.2",
    "@commitlint/config-conventional": "^17.1.0",
    "@types/node": "^18.19.20",
    "@typescript-eslint/eslint-plugin": "^5.38.1",
    "@typescript-eslint/parser": "^5.38.1",
    "@vitejs/plugin-vue": "^3.1.0",
    "commitizen": "^4.2.5",
    "commitlint-config-cz": "^0.13.3",
    "cz-conventional-changelog": "^3.3.0",
    "cz-customizable": "^7.0.0",
    "eslint": "^8.57.0",
    "eslint-config-airbnb-base": "^15.0.0",
    "eslint-config-prettier": "^8.5.0",
    "eslint-plugin-import": "^2.32.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.5.1",
    "less": "^4.1.3",
    "prettier": "^2.7.1",
    "sass": "^1.55.0",
    "typescript": "^4.6.4",
    "unplugin-auto-import": "^0.11.2",
    "unplugin-vue-components": "^0.22.7",
    "vite": "^3.1.0",
    "vite-plugin-style-import": "^2.0.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-windicss": "^1.9.3",
    "vue-tsc": "^0.40.4",
    "windicss": "^3.5.6"
  }
}
